Installation Packages for Chouette and Irys

Directory : /debian/7/chouette/2.5.1/

Parent Directory
FilenameSizeLast Modified
chouette.deb116802.6 kbTue, 09 Dec 2014 15:32:44 GMT
chouette.deb.md50.1 kbTue, 09 Dec 2014 15:32:44 GMT

installation package for chouette 2.5.1 

This package has been tested on Debian 7.5 64 bits only (works also for Ubuntu 13 and 14 but without any guarantee)

this package requires following packages : 

openjdk-7-jre libpq5 libsqlite3-0 openssl libxml2 libxslt1.1 libreadline5 libreadline6 
libssl1.0.0 libevent-2.0-5 libevent-core-2.0-5 libevent-extra-2.0-5 
postgresql ruby bundler libproj-dev libxml2-dev libxslt1-dev

Notes :
- oracle jre 7 can be used instead of openjdk
- ruby version must be >= 1.9.3 and < 2
- postgresql version 9.x required

to install chouette, download chouette.deb and install it :

  dpkg -i chouette.deb

follow instructions displayed on the terminal after installation

to update an existing Chouette application, remove the previous version files before installing the new one
   - the created user and database will be preserved
   
For more detailed installation instructions see https://github.com/afimb/chouette2/blob/master/README.md

Chouette Project, see www.chouette.mobi